Package org.flowable.bpmn.model

# Class MapExceptionEntry

java.lang.Object
org.flowable.bpmn.model.MapExceptionEntry

public class MapExceptionEntry extends Object

Author:
  Saeid Mirzaei

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `andChildren`
  `protected String`
  `className`
  `protected String`
  `errorCode`
  `protected String`
  `rootCause`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MapExceptionEntry()`
  `MapExceptionEntry(String errorCode, String className, boolean andChildren, String rootCause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  `String`
  `getErrorCode()`
  `String`
  `getRootCause()`
  `boolean`
  `isAndChildren()`
  `void`
  `setAndChildren(boolean andChildren)`
  `void`
  `setClassName(String className)`
  `void`
  `setErrorCode(String errorCode)`
  `void`
  `setRootCause(String rootCause)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### errorCode

    protected String errorCode

  - ### className

    protected String className

  - ### andChildren

    protected boolean andChildren

  - ### rootCause

    protected String rootCause

- ## Constructor Details

  - ### MapExceptionEntry

    public MapExceptionEntry()

  - ### MapExceptionEntry

    public MapExceptionEntry(String errorCode, String className, boolean andChildren, String rootCause)

- ## Method Details

  - ### getErrorCode

    public String getErrorCode()

  - ### setErrorCode

    public void setErrorCode(String errorCode)

  - ### getClassName

    public String getClassName()

  - ### setClassName

    public void setClassName(String className)

  - ### isAndChildren

    public boolean isAndChildren()

  - ### setAndChildren

    public void setAndChildren(boolean andChildren)

  - ### getRootCause

    public String getRootCause()

  - ### setRootCause

    public void setRootCause(String rootCause)